#2965 closed defect (fixed)

bootstrap sort inconsistent with sb-bootstrap for acinclude

Reported by: Gedare Bloom Owned by: Gedare Bloom <gedare@…>
Priority: normal Milestone: 5.1
Component: unspecified Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The output of bootstrap does not use a consistent sort order with sb-bootstrap. The difference appears to be in the default behavior of the sort command versus Python's sorted. By forcing the locale to C, sort should have a consistent behavior.

Change History (4)

comment:1 Changed on Apr 13, 2017 at 5:01:12 PM by Gedare Bloom <gedare@…>

Owner: set to Gedare Bloom <gedare@…>
Resolution: fixed
Status: newclosed

In 3be28ee6/rtems:

bootstrap: make sort use C locale consistently

Closes #2965.

comment:2 Changed on Apr 13, 2017 at 5:19:04 PM by Gedare Bloom <gedare@…>

In 1731757c/rtems:

bootstrap: regenerate files after sort order fix

Updates #2965.

comment:3 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.